[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [Rdo-list] Openstack-sahara broken on rhel6



On 05/06/2014 01:01 PM, Dalmais Maxence wrote:
> Hi Pádraig,
> 
> Thanks for you quick answer.
> I successfully installed your last version of openstack-sahara with
> 
> "yum install http://copr-be.cloud.fedoraproject.org/results/jruzicka/rdo-icehouse-epel-6/epel-6-x86_64/openstack-sahara-2014.1.0-11.el6/openstack-sahara-2014.1.0-11.el6.noarch.rpm";
> 
> After this, what is the best way to upgrade python-sqlalchemy ?
> With 0.5 version coming from base, we have error
> " from sqlalchemy.orm import relationship
> ImportError: cannot import name relationship"

Ugh sorry there were multiple changes rolled into that sahara update.
Your best immediate solution would be to downgrade to:
http://kojipkgs.fedoraproject.org/packages/openstack-sahara/2014.1.0/6.el6/noarch/

After downgrading I advise also to rpm -e python-sqlalchemy
to remove that older package, lest it interfere with future upgrades.

The newer package referenced above will be available soon,
with the appropriate updates available in the repo.

thanks,
Pádraig.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]